DCMTK: OFBitmanipTemplate< T > Class Template Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
OFBitmanipTemplate< T > Class Template Reference

A template class for bit manipulations. More...

## Static Public Member Functions
static void | copyMem (const T *src, T *dest, const size_t count)
| copies specified number of elements from source to destination.
static void | moveMem (const T *src, T *dest, const size_t count)
| moves specified number of elements from source to destination.
static void | setMem (T *dest, const T value, const size_t count)
| sets specified number of elements in destination memory to a defined value
static void | zeroMem (T *dest, const size_t count)
| sets specified number of elements in destination memory to zero

## Detailed Description

template<class T>
class OFBitmanipTemplate< T >

A template class for bit manipulations.

This class is used to perform platform independent operations on typed memory areas.

## Member Function Documentation

## ◆ copyMem()

template<class T>

void OFBitmanipTemplate< T >::copyMem | ( | const T * | src,
|  | T * | dest,
|  | const size_t | count )
| inlinestatic

copies specified number of elements from source to destination.

Both src and dest must be aligned according to T's align requirements. These memory areas must not overlap!

Parameters

  src | pointer to source memory
  dest | pointer to destination memory
  count | number of elements to be copied

Referenced by DiColorCopyTemplate< T >::copy(), DiMonoCopyTemplate< T >::copy(), DiTransTemplate< T >::copyPixel(), DiColorPixelTemplate< T >::getPixelData(), DiRotateTemplate< T >::rotateLeft(), and DiRotateTemplate< T >::rotateRight().

## ◆ moveMem()

template<class T>

void OFBitmanipTemplate< T >::moveMem | ( | const T * | src,
|  | T * | dest,
|  | const size_t | count )
| inlinestatic

moves specified number of elements from source to destination.

Both src and dest must be aligned according to T's align requirements. If src and dest are not equal, they must be at least sizeof(T) bytes apart. These memory areas may overlap.

Parameters

  src | pointer to source memory
  dest | pointer to destination memory
  count | number of elements to be moved

## ◆ setMem()

template<class T>

void OFBitmanipTemplate< T >::setMem | ( | T * | dest,
|  | const T | value,
|  | const size_t | count )
| inlinestatic

sets specified number of elements in destination memory to a defined value

Parameters

  dest | pointer to destination memory
  value | value to be set
  count | number of elements to be set

Referenced by DiMonoInputPixelTemplate< T1, T2, T3 >::DiMonoInputPixelTemplate(), DiTransTemplate< T >::fillPixel(), DiScaleTemplate< T >::scalePixel(), and DiMonoOutputPixelTemplate< T1, T2, T3 >::voilut().

## ◆ zeroMem()

template<class T>

void OFBitmanipTemplate< T >::zeroMem | ( | T * | dest,
|  | const size_t | count )
| inlinestatic

sets specified number of elements in destination memory to zero

Parameters

  dest | pointer to destination memory
  count | number of elements to be set to zero

Referenced by DiTransTemplate< T >::clearPixel(), DiColorOutputPixelTemplate< T1, T2 >::convert(), DiYBRPixelTemplate< T1, T2 >::convert(), DiInputPixelTemplate< T1, T2 >::determineMinMax(), DiMonoOutputPixelTemplate< T1, T2, T3 >::determineUsedValues(), DiMonoPixelTemplate< T >::getHistogramWindow(), DiColorPixelTemplate< T >::Init(), DiMonoOutputPixelTemplate< T1, T2, T3 >::nowindow(), DiMonoOutputPixelTemplate< T1, T2, T3 >::sigmoid(), DiMonoOutputPixelTemplate< T1, T2, T3 >::voilut(), and DiMonoOutputPixelTemplate< T1, T2, T3 >::window().

The documentation for this class was generated from the following file:

- ofstd/include/dcmtk/ofstd/ofbmanip.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1